import { BaseMock } from 'typescript-helper-functions';
/**
 * S3 Mock class
 */
export declare class S3Mock extends BaseMock {
    /**
     * Mock an AWS.S3.CompleteMultipartUploadOutput response
     */
    CompleteMultipartUploadOutput: AWS.S3.CompleteMultipartUploadOutput;
    /**
     * Mock an AWS.S3.CopyObjectOutput response
     */
    CopyObjectOutput: AWS.S3.CopyObjectOutput;
    /**
     * Mock an AWS.S3.CreateBucketOutput response
     */
    CreateBucketOutput: AWS.S3.CreateBucketOutput;
    /**
     * Mock an AWS.S3.CreateMultipartUploadOutput response
     */
    CreateMultipartUploadOutput: AWS.S3.CreateMultipartUploadOutput;
    /**
     * Mock an AWS.S3.DeleteBucketOutput response
     * Technically does not exist
     */
    DeleteBucketOutput: object;
    /**
     * Mock an AWS.S3.DeleteObjectOutput response
     */
    DeleteObjectOutput: AWS.S3.DeleteObjectOutput;
    /**
     * Mock an AWS.S3.DeleteObjectsOutput response
     */
    DeleteObjectsOutput: AWS.S3.DeleteObjectsOutput;
    /**
     * Mock an AWS.S3.DeleteObjectTaggingOutput response
     */
    DeleteObjectTaggingOutput: AWS.S3.DeleteObjectTaggingOutput;
    /**
     * Mock an AWS.S3.GetObjectOutput response
     * Technically does not exist
     */
    GetBucketOutput: object;
    /**
     * Mock an AWS.S3.GetObjectOutput response
     */
    GetObjectOutput: AWS.S3.GetObjectOutput;
    /**
     * Mock an AWS.S3.GetObjectTaggingOutput response
     */
    GetObjectTaggingOutput: AWS.S3.GetObjectTaggingOutput;
    /**
     * Mock an AWS.S3.HeadBucketOutput response
     * Technically does not exist
     */
    HeadBucketOutput: object;
    /**
     * Mock an AWS.S3.Metadata response
     */
    HeadObjectOutput: AWS.S3.HeadObjectOutput;
    /**
     * Mocks an AWS.S3.PutObjectOutput response
     */
    PutObjectOutput: AWS.S3.PutObjectOutput;
    /**
     * Mocks an AWS.S3.PutObjectTaggingOutput response
     */
    PutObjectTaggingOutput: AWS.S3.PutObjectTaggingOutput;
    /**
     * Mocks an AWS.S3.UploadPartOutput response
     */
    UploadPartOutput: AWS.S3.UploadPartOutput;
    /**
     * Create the S3 mock
     */
    protected CreateMock(returnError: boolean): any;
}
