"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TestingValues = void 0;
const fs = require("fs");
const path = require("path");
/**
 * Test values
 */
class TestingValues {
    constructor() {
        // descriptions
        this.AWSError = 'AWS Error';
        this.CannotBeZero = 'Cannot be zero';
        this.InvalidTest = 'returns error from AWS';
        this.MustSupply = 'Must supply';
        this.ThrowsOnEmpty = 'throws on empty';
        this.ValidTest = 'returns valid response from AWS';
        // empty values
        this.EmptyArray = [];
        this.EmptyString = '';
        // strings
        this.Body = 'body';
        this.Key = 'key';
        this.Name = 'name';
        this.SignedUrl = 'https://bucket.s3.amazonaws.com/file.ext?AWSAccessKeyId=AccessKeyId&Content-Type=ContentType&Expires=123456789&Signature=Signature';
        this.UploadId = 'upload-id';
        this.UploadPart5Mb = fs.readFileSync(path.resolve(__dirname, 'multipart-upload-file.txt'), 'utf8');
        // numbers
        this.UploadPart = 7;
        // objects
        this.Metadata = {
            key1: 'value1',
        };
        this.FileTag = {
            Key: 'Tag1',
            Value: 'Tag1Value',
        };
        this.FileTags = [
            this.FileTag,
        ];
        this.TagSet = [
            this.FileTag,
        ];
    }
}
exports.TestingValues = TestingValues;
//# sourceMappingURL=test-values.js.map